Subject: bug#17411: 24.4.50; emacs_backtrace.txt

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 May 2014 17:19:50 -0400

>> The "eassert (length (i) > 0)" does catch this case already.  We could
>> add another assert which is looser (i.e. one that would not be caught by
>> a "somewhat sane interval with a non-positive length"), but I'm not sure
>> how to formally define "hopelessly messed up".
> You could display the values on your system in a debugger, and after
> some time you should have a good idea what isn't messed up.

The problem is that it's not worth the trouble: knowing if the values are
sane or not isn't that interesting, so we'd really want to *see*
the values.  I'd "fprintf (stderr, ...)", but that wouldn't work under
w32 would it?

        Stefan